Bug 1224651 - Overcloud: Overcloud deployment failed because of /bin/instack-deploy-overcloud: line 457: instackenv.json: Permission denied
Summary: Overcloud: Overcloud deployment failed because of /bin/instack-deploy-overclo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: Director
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ga
: Director
Assignee: Mike Burns
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-25 09:02 UTC by Leonid Natapov
Modified: 2015-11-09 21:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:51:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1279626 unspecified CLOSED During launch-fusor-undercloud-installer, Unexpected EOF in archive 2019-12-10 22:58:55 UTC
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Internal Links: 1279626

Description Leonid Natapov 2015-05-25 09:02:21 UTC
openstack-tripleo-0.0.6-dev1717.el7.centos.noarch
openstack-tripleo-heat-templates-0.8.6-dev5.el7.centos.noarch
openstack-tripleo-puppet-elements-0.0.1-dev63.el7.centos.noarch
tripleo-common-0.0.0-post4.el7.centos.noarch
openstack-tripleo-image-elements-0.9.5-post1.el7.centos.noarch


Installation was done according to the internal installation guide.
Successfully installed undercloud. Overcloud deployment failed when running
instack-deploy-overcloud --tuskar command.

Here is the log:
-------------------------------
tuskar_templates/firstboot/userdata_default.yaml
+ OVERCLOUD_YAML_PATH=tuskar_templates/plan.yaml
+ ENVIRONMENT_YAML_PATH=tuskar_templates/environment.yaml
+ '[' ''\'''\''' = satellite ']'
+ heat stack-create -t 240 -f tuskar_templates/plan.yaml -e tuskar_templates/environment.yaml overcloud
+--------------------------------------+------------+--------------------+----------------------+
| id                                   | stack_name | stack_status       | creation_time        |
+--------------------------------------+------------+--------------------+----------------------+
| 8c56164c-0082-4770-b60b-c7bc75a3fd12 | overcloud  | CREATE_IN_PROGRESS | 2015-05-20T11:39:15Z |
+--------------------------------------+------------+--------------------+----------------------+
+ tripleo wait_for_stack_ready 220 10 overcloud
+ '[' stack-create = stack-create ']'
+ echo 'Overcloud CREATE_COMPLETE'
Overcloud CREATE_COMPLETE
++ heat output-show overcloud KeystoneURL
++ sed 's/^"\(.*\)"$/\1/'
+ OVERCLOUD_ENDPOINT=http://192.168.0.7:5000/v2.0/
++ echo http://192.168.0.7:5000/v2.0/
++ awk -F '[/:]' '{print $4}'
+ export OVERCLOUD_IP=192.168.0.7
+ OVERCLOUD_IP=192.168.0.7
+ touch /home/stack/.ssh/known_hosts
+ chmod 600 /home/stack/.ssh/known_hosts
+ ssh-keygen -R 192.168.0.7
/home/stack/.ssh/known_hosts updated.
Original contents retained as /home/stack/.ssh/known_hosts.old
++ jq '.overcloud.password="0a008447dfebc18f5b0f02bac17b96d82e04d17c" | .overcloud.endpoint="http://192.168.0.7:5000/v2.0/" | .overcloud.endpointhost="192.168.0.7"' instackenv.json
+ NEW_JSON='{
  "overcloud": {
    "endpointhost": "192.168.0.7",
    "endpoint": "http://192.168.0.7:5000/v2.0/",
    "password": "0a008447dfebc18f5b0f02bac17b96d82e04d17c"
  },
  "nodes": [
    {
      "pm_addr": "10.35.160.168",
      "pm_type": "pxe_ipmitool",
      "mac": [
        "84:8f:69:fb:c4:a1"
      ],
      "cpu": "2",
      "memory": "4096",
      "disk": "40",
      "arch": "x86_64",
      "pm_user": "root",
      "pm_password": "calvin"
    },
    {
      "pm_addr": "10.35.160.172",
      "pm_type": "pxe_ipmitool",
      "mac": [
        "84:8f:69:fb:c6:45"
      ],
      "cpu": "2",
      "memory": "4096",
      "disk": "40",
      "arch": "x86_64",
      "pm_user": "root",
      "pm_password": "calvin"
    }
  ]
}'
+ echo '{' '"overcloud":' '{' '"endpointhost":' '"192.168.0.7",' '"endpoint":' '"http://192.168.0.7:5000/v2.0/",' '"password":' '"0a008447dfebc18f5b0f02bac17b96d82e04d17c"' '},' '"nodes":' '[' '{' '"pm_addr":' '"10.35.160.168",' '"pm_type":' '"pxe_ipmitool",' '"mac":' '[' '"84:8f:69:fb:c4:a1"' '],' '"cpu":' '"2",' '"memory":' '"4096",' '"disk":' '"40",' '"arch":' '"x86_64",' '"pm_user":' '"root",' '"pm_password":' '"calvin"' '},' '{' '"pm_addr":' '"10.35.160.172",' '"pm_type":' '"pxe_ipmitool",' '"mac":' '[' '"84:8f:69:fb:c6:45"' '],' '"cpu":' '"2",' '"memory":' '"4096",' '"disk":' '"40",' '"arch":' '"x86_64",' '"pm_user":' '"root",' '"pm_password":' '"calvin"' '}' ']' '}'
/bin/instack-deploy-overcloud: line 457: instackenv.json: Permission denied
[stack@puma42 ~]

The permissions of the file:
-rw-r--r--. 1 root root 699 May 20 13:50 instackenv.json

Several previous deployments were NOT failing on this permission denied error. The file had the same permissions.

Comment 3 Leonid Natapov 2015-05-25 09:03:28 UTC
Forgot to mention. I am working with bare metal machines NOT Vms.

Comment 5 chris alfonso 2015-06-15 19:48:34 UTC
That file should be owned by stack, did you generate it as the root user?

Comment 7 Ofer Blaut 2015-06-24 17:06:24 UTC
issue is not seen 

openstack-tripleo-puppet-elements-0.0.1-2.el7ost.noarch
openstack-tripleo-0.0.7-0.1.1664e566.el7ost.noarch
openstack-tripleo-image-elements-0.9.6-1.el7ost.noarch
openstack-tripleo-common-0.0.1.dev6-0.git49b57eb.el7ost.noarch
openstack-tripleo-heat-templates-0.8.6-15.el7ost.noarch

Comment 9 errata-xmlrpc 2015-08-05 13:51:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.